
%define major 0
%define library_name awn
%define libname %mklibname %library_name %major
%define develname %mklibname %library_name -d

%define schemas avant-window-navigator awn-applet-taskmanager

Summary:	AWN - a Dock-style window selector for GNOME
Name:		avant-window-navigator
Version:	0.4.0
Release:	%mkrel 3
Source0:	%{name}-%{version}.tar.xz
Patch1:		avant-window-navigator-0.4.0-688_687.diff
Source1:	avant-window-navigator-16.png
Source2:	avant-window-navigator-48.png
Source3:	avant-window-navigator-32.png
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://launchpad.net/awn
BuildRequires:	gnome-common
BuildRequires:	libGConf2-devel
BuildRequires:	intltool
BuildRequires:	libgtk+2-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libgnome-desktop-2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libwnck-devel
BuildRequires:	libxcomposite-devel
BuildRequires:	libxdamage-devel
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python
BuildRequires:	gtk-doc
BuildRequires:	pyxdg
BuildRequires:	vala
BuildRequires:	libdesktop-agnostic-devel
Requires:	gnome-python-gtkmozembed
Requires:	gstreamer0.10-python
Requires:	python-alsaaudio
Requires:	python-clientform
Requires:	python-feedparser
Requires:	python-libgmail
Requires:	python-mechanize
Requires:	python-notify
Requires:	gnome-python
Requires:	gnome-python-gconf
Requires:	gnome-desktop
Requires:	gnome-python-gnomevfs
Requires:	gnome-python-applet
Requires:	pygtk2.0-libglade
Requires:	pyxdg
Requires:	libdesktop-agnostic
Requires:	libdesktop-agnostic0
Requires:	bzr
Obsoletes:	libawn0
Provides:	libawn0 = %version-%release
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Avant Window Navigator (AWN) is a dock-style window list for GNOME. It
provides a view of your running applications in a dock at the bottom
of the screen, identified by their icon.


%package devel
Group: Development/C
Summary: Development libraries for avant-window-navigator
Requires: %{name} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{library_name}-devel
Provides: %{library_name}-devel = %{version}-%{release}

%description devel
Avant Window Navigator (AWN) is a dock-style window list for GNOME. It
provides a view of your running applications in a dock at the bottom
of the screen, identified by their icon. This package contains
development libraries and headers for AWN.

%prep
%setup -q 
%patch1 -p0

%build

autoreconf -fis
%configure2_5x --disable-pymod-checks --with-gconf-schema-file-dir=%{_sysconfdir}/gconf/schemas/ 
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --remove-category="X-Fedora" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*


# don't ship .a and .la
find %{buildroot} -name "*.*a" -exec rm -f {} \;

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 %{buildroot}%_miconsdir/%{name}.png
install -m 0644 %SOURCE2 %{buildroot}%_iconsdir/%{name}.png
install -m 0644 %SOURCE3 %{buildroot}%_liconsdir/%{name}.png


%post
%update_menus
%update_icon_cache hicolor
%post_install_gconf_schemas %{schemas}
/sbin/ldconfig

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%update_menus
%clean_icon_cache hicolor
/sbin/ldconfig


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)

%doc README AUTHORS ChangeLog TODO
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_bindir}/avant-window-navigator
%{_bindir}/awn-applet
%{_bindir}/awn-settings
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/awn-settings.desktop
%{_iconsdir}/hicolor/*/*/*
%{python_sitearch}/awn/*

%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png
%{_libdir}/*.so.*
%{_libdir}/awn/applets/expander/expander.so
%{_libdir}/awn/applets/quick-prefs/quick-prefs.so
%{_libdir}/awn/applets/separator/separator.so
%{_libdir}/awn/applets/taskmanager/taskmanager.so

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/lib%{library_name}
%{_includedir}/lib%{library_name}
%{_libdir}/libawn.so
%{_libdir}/pkgconfig/%{library_name}.pc
%{_datadir}/vala/vapi/awn.*
%{_datadir}/pygtk/2.0/defs/awn.defs


%changelog
* Tue Nov 11 2010 Texstar <texstar at gmail.com> 0.4.0-3pclos2010
- add dependencies

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.4.0-2pclos2010
- Update

* Thu Apr 29 2010 Texstar <texstar at gmail.com> 0.4.0-1pclos2010
- 0.4.0

* Thu Apr 01 2010 Texstar <texstar at gmail.com> 0.3.2-4pclos2010
- rebuild for new gnome

* Fri Dec 25 2009 Texstar <texstar at gmail.com> 0.3.2-3pclos2010
- rebuild

* Fri May 14 2009 Texstar <texstar@gmail.com> 0.3.2-2pclos2009
- rebuild against updated gnome
- merge lib into main 
- trim specfile

